Subject: Re: bug#74383: 29.4; Emacs PGTK crashes on Void Linux

From: Taha Aziz Ben Ali <[email-masked]>
Date: Sun, 17 Nov 2024 12:40:57 +0100

> All the same, the OP's problem is that the gdk-pixbuf library invoked by
> the toolkit to load tool-bar images no longer enables XPM support by
> default, because, in their words, it was "not being used."  Someone must
> volunteer to enable loading tool-bar images with Emacs's image system
> instead.

I should have probably mentioned that my early initialization file
disables the toolbar along with other visual elements, so it's odd that
these images would get created at all.

I assume they're created eagerly so it makes no difference whether or
not the toolbar is disabled.